Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class DirArrayConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.ArrayConfigOption
              net.hyperic.util.config.DirArrayConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class DirArrayConfigOption
extends ArrayConfigOption

See Also:
  Serialized Form

Field Summary
`static char` `DELIM`
`static java.lang.String` `DELIM_STR`

Constructor Summary
`protected` `DirArrayConfigOption()` Should only be used by serializer/deserializer
`` `DirArrayConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` `DirArrayConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`
`` `DirArrayConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue, net.hyperic.util.file.PathValidator pathValidator)`

Method Summary
`void` `checkOptionIsValid(java.lang.String value)`
`net.hyperic.util.config.OptionTransport` `getTransport()`
`static java.lang.String[]` `toArray(java.lang.String value)`
`static java.util.List` `toList(java.lang.String value)`

Methods inherited from class net.hyperic.util.config.ArrayConfigOption
`getDelim, getTransport, setDelim`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DELIM

    public static final char DELIM

See Also:
  Constant Field Values

### DELIM_STR

    public static final java.lang.String DELIM_STR

See Also:
  Constant Field Values

Constructor Detail

### DirArrayConfigOption

    protected DirArrayConfigOption()

  Should only be used by serializer/deserializer

### DirArrayConfigOption

    public DirArrayConfigOption(java.lang.String optName,
                                java.lang.String optDesc,
                                java.lang.String defValue)

### DirArrayConfigOption

    public DirArrayConfigOption(java.lang.String optName,
                                java.lang.String optDesc,
                                java.lang.String defValue,
                                net.hyperic.util.file.PathValidator pathValidator)

### DirArrayConfigOption

    public DirArrayConfigOption(net.hyperic.util.config.OptionTransport transport)
                         throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

### toList

    public static java.util.List toList(java.lang.String value)

### toArray

    public static java.lang.String[] toArray(java.lang.String value)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.